/****************************************************/
/*	H8/3048F-ONE MONITOR Program  					*/
/*		H8_MON_DEF.h								*/
/*      Date	2009/04/01                        	*/
/*           	microkit I.Kurashima 				*/
/*                                                 	*/
/*      Rev   	Date           Changes          	*/
/*      1.00    2009/04/01     Original Version		*/
/****************************************************/


#define NUL            0x00
#define BEL            0x07
#define LEFT           0x08
#define BS             0x08
#define TAB            0x09
#define DOWN           0x0a
#define LF             0x0a
#define UP             0x0b
#define RIGHT          0x0c
#define CR             0x0d
#define ESC            0x1b
#define SPACE          0x20


/************ PROTO TYPE  ************/

void CpuInit(void);
void debug_mode(void);

void mon_DB(char* );
void mon_DW(char* );
void mon_SB(char* );
void mon_SW(char* );

void mon_DPB(char* );
void mon_DPW(char* );
void mon_SPB(char* );
void mon_SPW(char* );

void mon_D2B(char* );
void mon_D2W(char* );

void mon_ANDB(char* );
void mon_ANDW(char* );
void mon_ORB(char* );
void mon_ORW(char* );

void mon_MASKB(char* );
void mon_MASKW(char* );

void mon_CHKB(char* );
void mon_CHKW(char* );

void mon_CSET(char* );
void mon_help(void);

void hextochar_disp(unsigned char , unsigned long );
void hextobin_disp(unsigned char , unsigned long );
void dectochar_disp(unsigned char, unsigned long );

void sputs(char* );


