/****************************************************/
/*	H8/3048F-ONE MONITOR Program  					*/
/*		H8_MON_SUB2.c								*/
/*      Date	2009/04/01                        	*/
/*           	microkit I.Kurashima 				*/
/*                                                 	*/
/*      Rev   	Date           Changes          	*/
/*      1.00    2009/04/01     Original Version		*/
/****************************************************/


#include <stdio.h>
#include <sysio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>

#include "H8_MON_DEF.h"


// **** hex n hexŕ\ ****

void hextochar_disp(unsigned char n, unsigned long in_hex){
	
	char i, out_char[9];
	
	out_char[n] = 0;

	for(i=(n-1); i>=0; i--){
		if((in_hex & 0x0000000F) > 9){
	 		out_char[i] = (in_hex & 0x0000000F) + ('A' - 0x0A);
	 	}
		else{
	 		out_char[i] = (in_hex & 0x0000000F) + 0x30;
	 	}
		in_hex>>=4;
	}
	sputs(out_char);
}


// **** hex n binayŕ\ ****

void hextobin_disp(unsigned char n, unsigned long in_hex){
	
	char i, out_char[20];
	
	out_char[4] = '-';
	out_char[9] = '-';
	out_char[14] = '-';

	out_char[n*5-1] = 0;

	for(i=((n*5-1)-1); i>=0; i--){
		if((in_hex & 0x00000001) == 0){
			out_char[i] = '0';
		}
		else{
			out_char[i] = '1';
		}
		
		if(i%5 == 0){
			i--;
		} 

		in_hex>>=1;
	}
	sputs(out_char);
}


// **** hex ndecŕ\ ****

void dectochar_disp(unsigned char n, unsigned long in_hex){
	
	char i, out_char[10];
	
	unsigned long dev = 1;
	
	for(i=0; i<n-1; i++){
		dev *= 10;
	}
	
	
	for(i=0; i<n; i++){
		if(in_hex >= dev){
			out_char[i] = (in_hex/dev) + '0';
		}
		else{
			if(i==0){
				out_char[i] = ' ';
			}
			else{
				if(i==(n-1)){
					out_char[i] = '0';
				}
				else{
					if(out_char[i-1] == ' '){
						out_char[i] = ' ';
					}
					else{
						out_char[i] = '0';
					}
				}
			}
		}
		
		in_hex = in_hex - (in_hex/dev) * dev;
		dev /= 10;
	}
	
	out_char[n] = 0;
	
	sputs(out_char);
}	


// **** 0x0A ŌɑȂputs ****

void sputs(char* tex_data){
	unsigned char i = 0;
	
	while(tex_data[i]){
		putchar(tex_data[i]);
		i++;
	}
}


